You must pass individual tests to obtain marks.
The Mark of the Scholar is only given to those who pass the Trial of the Scholar. You must be above level 35 to take the test. To take the Trial of the Scholar, visit Magister Mirien in the temple of Dion Castle Town.
The Mark of Life is only given to those who pass the Testimony of Life. You must be above level 37 to take the test. To take the Testimony of Life, visit Master Cardien of Dion Castle Town.
And finally the Mark of the Magus is only given to those who pass the Test of the Magus. You must be above level 39 to take the test. To take the Test of Magus, visit Bard Rukal of Dion Castle Town.
Return